Org.BouncyCastle.Crypto.Modes
Namespace with 21 public types
Classes
AsconAead128
Ascon-AEAD128, from NIST Special Publication (SP) 800-232.
CbcBlockCipher
Implements Cipher-Block-Chaining (CBC) mode on top of a simple cipher.
CcmBlockCipher
CfbBlockCipher
Implements a Cipher-FeedBack (CFB) mode on top of a simple block cipher.
ChaCha20Poly1305
Implementation of the ChaCha20-Poly1305 AEAD construction as defined in RFC 7539 / RFC 8439.
CtsBlockCipher
EaxBlockCipher
EcbBlockCipher
GcmBlockCipher
Implements the Galois/Counter mode (GCM) detailed in NIST Special Publication 800-38D.
GcmSivBlockCipher
GOfbBlockCipher
KCcmBlockCipher
KCtrBlockCipher
OcbBlockCipher
An implementation of RFC 7253 on The OCB
Authenticated-Encryption Algorithm.
OfbBlockCipher
Implements an Output-FeedBack (OFB) mode on top of a simple block cipher.
OpenPgpCfbBlockCipher
SicBlockCipher
Implements the Segmented Integer Counter (SIC) mode on top of a simple block cipher.
XChaCha20Poly1305
Implementation of the XChaCha20-Poly1305 AEAD construction as defined in
draft-irtf-cfrg-xchacha. Identical to ChaCha20-Poly1305 (RFC 8439) but using
XChaCha20 with a 192-bit nonce in place of ChaCha20.
Interfaces
IAeadBlockCipher
An IAeadCipher based on an IBlockCipher.
IAeadCipher
A cipher mode that includes authenticated encryption with a streaming mode and optional
associated data.
IBlockCipherMode